USN-223-1: Inkscape vulnerability
Posted on: 12/05/2005 02:22 PM

A new Inkscape vulnerability update is available for Ubuntu Linux. Here the announcement:

Ubuntu Security Notice USN-223-1 December 05, 2005
inkscape vulnerability
CVE-2005-3885
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D

A security issue affects the following Ubuntu releases:

Ubuntu 5.04 (Hoary Hedgehog)

The following packages are affected:

inkscape

The problem can be corrected by upgrading the affected package to
version 0.40-2ubuntu1.1. In general, a standard system upgrade is
sufficient to effect the necessary changes.

Details follow:

Javier Fern=E1ndez-Sanguino Pe=F1a discovered that Inkscape's ps2epsi.sh
script, which converts PostScript files to Encapsulated PostScript
format, creates a temporary file in an insecure way. A local attacker
could exploit this with a symlink attack to create or overwrite
arbitrary files with the privileges of the user running Inkscape.


Source archives:

http://security.ubuntu.com/ubuntu/pool/main/i/inkscape/inkscape_0.40-2u=
buntu1.1.diff.gz
Size/MD5: 7572 50ddba7ed014ae75870d1e87fcf8318f
http://security.ubuntu.com/ubuntu/pool/main/i/inkscape/inkscape_0.40-2u=
buntu1.1.dsc
Size/MD5: 859 e5630cb77d15e601517fe6a43451bbdb
http://security.ubuntu.com/ubuntu/pool/main/i/inkscape/inkscape_0.40.or=
ig.tar.gz
Size/MD5: 5292595 11c549c0ffdd45db9f9fe62dfec162ce

amd64 architecture (Athlon64, Opteron, EM64T Xeon)

http://security.ubuntu.com/ubuntu/pool/main/i/inkscape/inkscape_0.40-2u=
buntu1.1_amd64.deb
Size/MD5: 3987574 67e8cc45c5b45fccae06c081ab59b5da

i386 architecture (x86 compatible Intel/AMD)

http://security.ubuntu.com/ubuntu/pool/main/i/inkscape/inkscape_0.40-2u=
buntu1.1_i386.deb
Size/MD5: 3898986 26b463fdc90342cd6418f103d6d1748e

powerpc architecture (Apple Macintosh G3/G4/G5)

http://security.ubuntu.com/ubuntu/pool/main/i/inkscape/inkscape_0.40-2u=
buntu1.1_powerpc.deb
Size/MD5: 4107808 66d473b7c6ce5551f262006e83f40135

--xHFwDpU9dbj6ez1V
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDlDj0DecnbV4Fd/IRAkEjAJ0VGMHQkZU2eq1u9HUotV/4afrSUgCgyDpv
qsMUmhZiRYF0CreZTHQguJE=
=miB4
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/usn_223_1_inkscape_vulnerability.html)